Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Core.FileSystemScanner Class Reference

FileSystemScanner provides facilities scanning of files and directories. More...

Collaboration diagram for ICSharpCode.SharpZipLib.Core.FileSystemScanner:
[legend]

## Public Member Functions
| FileSystemScanner (string filter)
| Initialise a new instance of FileSystemScanner
| FileSystemScanner (string fileFilter, string directoryFilter)
| Initialise a new instance of FileSystemScanner
| FileSystemScanner (IScanFilter fileFilter)
| Initialise a new instance of FileSystemScanner
| FileSystemScanner (IScanFilter fileFilter, IScanFilter directoryFilter)
| Initialise a new instance of FileSystemScanner
void | Scan (string directory, bool recurse)
| Scan a directory.

## Public Attributes
ProcessDirectoryHandler | ProcessDirectory
| Delegate to invoke when a directory is processed.
ProcessFileHandler | ProcessFile
| Delegate to invoke when a file is processed.
CompletedFileHandler | CompletedFile
| Delegate to invoke when processing for a file has finished.
DirectoryFailureHandler | DirectoryFailure
| Delegate to invoke when a directory failure is detected.
FileFailureHandler | FileFailure
| Delegate to invoke when a file failure is detected.

## Private Member Functions
bool | OnDirectoryFailure (string directory, Exception e)
| Raise the DirectoryFailure event.
bool | OnFileFailure (string file, Exception e)
| Raise the FileFailure event.
void | OnProcessFile (string file)
| Raise the ProcessFile event.
void | OnCompleteFile (string file)
| Raise the complete file event.
void | OnProcessDirectory (string directory, bool hasMatchingFiles)
| Raise the ProcessDirectory event.
void | ScanDir (string directory, bool recurse)

## Private Attributes
IScanFilter | fileFilter_
| The file filter currently in use.
IScanFilter | directoryFilter_
| The directory filter currently in use.
bool | alive_
| Flag indicating if scanning should continue running.

## Detailed Description

FileSystemScanner provides facilities scanning of files and directories.

## Constructor & Destructor Documentation

## ◆ FileSystemScanner() [1/4]

ICSharpCode.SharpZipLib.Core.FileSystemScanner.FileSystemScanner | ( | string | filter | ) |

Initialise a new instance of FileSystemScanner

Parameters

  filter | The file filter to apply when scanning.

## ◆ FileSystemScanner() [2/4]

ICSharpCode.SharpZipLib.Core.FileSystemScanner.FileSystemScanner | ( | string | fileFilter,
|  | string | directoryFilter )

Initialise a new instance of FileSystemScanner

Parameters

  fileFilter | The file filter to apply.
  directoryFilter | The directory filter to apply.

## ◆ FileSystemScanner() [3/4]

ICSharpCode.SharpZipLib.Core.FileSystemScanner.FileSystemScanner | ( | IScanFilter | fileFilter | ) |

Initialise a new instance of FileSystemScanner

Parameters

  fileFilter | The file filter to apply.

## ◆ FileSystemScanner() [4/4]

ICSharpCode.SharpZipLib.Core.FileSystemScanner.FileSystemScanner | ( | IScanFilter | fileFilter,
|  | IScanFilter | directoryFilter )

Initialise a new instance of FileSystemScanner

Parameters

  fileFilter | The file filter to apply.
  directoryFilter | The directory filter to apply.

## Member Function Documentation

## ◆ OnCompleteFile()

void ICSharpCode.SharpZipLib.Core.FileSystemScanner.OnCompleteFile | ( | string | file | ) |
| private

Raise the complete file event.

Parameters

  file | The file name

Here is the call graph for this function:

## ◆ OnDirectoryFailure()

bool ICSharpCode.SharpZipLib.Core.FileSystemScanner.OnDirectoryFailure | ( | string | directory,
|  | Exception | e )
| private

Raise the DirectoryFailure event.

Parameters

  directory | The directory name.
  e | The exception detected.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ OnFileFailure()

bool ICSharpCode.SharpZipLib.Core.FileSystemScanner.OnFileFailure | ( | string | file,
|  | Exception | e )
| private

Raise the FileFailure event.

Parameters

  file | The file name.
  e | The exception detected.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ OnProcessDirectory()

void ICSharpCode.SharpZipLib.Core.FileSystemScanner.OnProcessDirectory | ( | string | directory,
|  | bool | hasMatchingFiles )
| private

Raise the ProcessDirectory event.

Parameters

  directory | The directory name.
  hasMatchingFiles | Flag indicating if the directory has matching files.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ OnProcessFile()

void ICSharpCode.SharpZipLib.Core.FileSystemScanner.OnProcessFile | ( | string | file | ) |
| private

Raise the ProcessFile event.

Parameters

  file | The file name.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Scan()

void ICSharpCode.SharpZipLib.Core.FileSystemScanner.Scan | ( | string | directory,
|  | bool | recurse )

Scan a directory.

Parameters

  directory | The base directory to scan.
  recurse | True to recurse subdirectories, false to scan a single directory.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ ScanDir()

void ICSharpCode.SharpZipLib.Core.FileSystemScanner.ScanDir | ( | string | directory,
|  | bool | recurse )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ alive_

bool ICSharpCode.SharpZipLib.Core.FileSystemScanner.alive_
| private

Flag indicating if scanning should continue running.

## ◆ CompletedFile

CompletedFileHandler ICSharpCode.SharpZipLib.Core.FileSystemScanner.CompletedFile

Delegate to invoke when processing for a file has finished.

## ◆ DirectoryFailure

DirectoryFailureHandler ICSharpCode.SharpZipLib.Core.FileSystemScanner.DirectoryFailure

Delegate to invoke when a directory failure is detected.

## ◆ directoryFilter_

IScanFilter ICSharpCode.SharpZipLib.Core.FileSystemScanner.directoryFilter_
| private

The directory filter currently in use.

## ◆ FileFailure

FileFailureHandler ICSharpCode.SharpZipLib.Core.FileSystemScanner.FileFailure

Delegate to invoke when a file failure is detected.

## ◆ fileFilter_

IScanFilter ICSharpCode.SharpZipLib.Core.FileSystemScanner.fileFilter_
| private

The file filter currently in use.

## ◆ ProcessDirectory

ProcessDirectoryHandler ICSharpCode.SharpZipLib.Core.FileSystemScanner.ProcessDirectory

Delegate to invoke when a directory is processed.

## ◆ ProcessFile

ProcessFileHandler ICSharpCode.SharpZipLib.Core.FileSystemScanner.ProcessFile

Delegate to invoke when a file is processed.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Core/FileSystemScanner.cs